Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231486 - Review Request: mecab-ipadic - IPA dictorionary for MeCab
Summary: Review Request: mecab-ipadic - IPA dictorionary for MeCab
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 17:22 UTC by Mamoru TASAKA
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-24 19:10:49 UTC
hdegoede: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2007-03-08 17:22:55 UTC
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/mecab-ipadic.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/mecab-ipadic-2.7.0.20060707-1.fc7.src.rpm
Mockbuild log on FC-devel i386: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/LOGS/MOCK-mecab-ipadic.log

Description:
MeCab IPA is a dictionary for MeCab using CRF estimation
based on IPA corpus.

NOTE:
This package is very similar with mecab-jumandic
(bug 229929 : already imported)

rpmlint on binary rpm:
-----------------------------------------------------
W: mecab-ipadic invalid-license MIT-ish (See LICENSE.*)
E: mecab-ipadic no-binary
E: mecab-ipadic only-non-binary-in-usr-lib
W: mecab-ipadic-EUCJP invalid-license MIT-ish (See LICENSE.*)
E: mecab-ipadic-EUCJP only-non-binary-in-usr-lib
------------------------------------------------------
* For license: see LICENSE.Fedora
* no executable binaries are installed, but the
  installed data is compiled by arch-dependent binaries
  (in mecab: bug 229927, already imported) and the 
  created data are arch-dependent.

Comment 1 Hans de Goede 2007-03-24 07:46:04 UTC
MUST:
=====
* rpmlint output is:
W: mecab-ipadic invalid-license MIT-ish (See LICENSE.*)
E: mecab-ipadic no-binary
E: mecab-ipadic only-non-binary-in-usr-lib
W: mecab-ipadic-EUCJP invalid-license MIT-ish (See LICENSE.*)
E: mecab-ipadic-EUCJP only-non-binary-in-usr-lib
W: mecab-ipadic invalid-license MIT-ish (See LICENSE.*)
These are "normal" for this package and can be ignored
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License ok (approved by Spot)
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel x86_64
* BR: ok
* No locales
* No shared libraries
* Not relocatable
* Package owns / or requires all dirs
0 No duplicate files & Permissions
* %clean & macro usage OK
* Contains code only
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* no -devel package needed
* no .desktop file required

Approved!

Comment 2 Mamoru TASAKA 2007-03-24 12:25:57 UTC
Thank you!!

Request for CVS admin:
------------------------------------------------
New Package CVS Request
=======================
Package Name:              mecab-ipadic
Short Description:         IPA dictorionary for MeCab
Owners:                    mtasaka@ioa.s.u-tokyo.ac.jp
Branches:                  devel FC-6 FC-5
InitialCC:                 (nobody)
------------------------------------------------

Comment 3 Mamoru TASAKA 2007-03-24 12:28:28 UTC
Oops...

------------------------------------------------
New Package CVS Request
=======================
Package Name:              mecab-ipadic
Short Description:         IPA dictionary for MeCab
Owners:                    mtasaka@ioa.s.u-tokyo.ac.jp
Branches:                  devel FC-6 FC-5
InitialCC:                 (nobody)
------------------------------------------------


Comment 4 Dennis Gilmore 2007-03-24 15:02:01 UTC
Branched

Comment 5 Mamoru TASAKA 2007-03-24 19:10:49 UTC
Rebuilt on all branches.
Closing as CLOSED NEXTRELEASE.

Thank you for reviewing!!


Note You need to log in before you can comment on or make changes to this bug.